global:
  vpcId: vpc-043ed6ca2955dd897

  services:
    redis:
      containerPort: 6379
      service:
        port: 6379
      image: argus.docker.zooxlabs.com/redis:6.0.8
      args:
        - "--maxmemory 8gb"
        - "--maxmemory-policy allkeys-lru"
      resources:
        requests:
          cpu: 512m
          memory: 8Gi
        limits:
          cpu: 512m
          memory: 8Gi
      readinessProbe:
        exec:
          command: ["/usr/local/bin/redis-cli", "ping"]
      livenessProbe:
        exec:
          command: ["/usr/local/bin/redis-cli", "ping"]

    server:
      replicaCount: 2
      image: argus.docker.zooxlabs.com/argus-video-server:1.0.6
      env:
        NODE_ENV:
          value: prod
        AWS_DEFAULT_REGION:
          value: us-west-2
        AWS_ACCESS_KEY_ID:
          valueFrom:
            secretKeyRef:
              name: aws-credentials
              key: AWS_ACCESS_KEY_ID
        AWS_SECRET_ACCESS_KEY:
          valueFrom:
            secretKeyRef:
              name: aws-credentials
              key: AWS_SECRET_ACCESS_KEY
      resources:
        requests:
          cpu: 512m
          memory: 512Mi
        limits:
          cpu: 512m
          memory: 512Mi
      livenessProbe:
        failureThreshold: 3
        httpGet:
          path: /health/status
          port: http
          scheme: HTTP
        initialDelaySeconds: 30
        periodSeconds: 30
        successThreshold: 1
        timeoutSeconds: 1
      readinessProbe:
        failureThreshold: 3
        httpGet:
          path: /health/status
          port: http
          scheme: HTTP
        initialDelaySeconds: 30
        periodSeconds: 30
        successThreshold: 1
        timeoutSeconds: 1
      serviceMonitor:
        enabled: true
        port: http
        path: /metrics/hpa

    worker:
      disableReplicaCount: true
      image: argus.docker.zooxlabs.com/argus-video-worker:9
      env:
        NODE_ENV:
          value: prod
        AWS_DEFAULT_REGION:
          value: us-west-2
        AWS_ACCESS_KEY_ID:
          valueFrom:
            secretKeyRef:
              name: aws-credentials
              key: AWS_ACCESS_KEY_ID
        AWS_SECRET_ACCESS_KEY:
          valueFrom:
            secretKeyRef:
              name: aws-credentials
              key: AWS_SECRET_ACCESS_KEY
      resources:
        limits:
          nvidia.com/gpu: "1"
        requests:
          cpu: 12
          memory: 16Gi
          ephemeral-storage: 16Gi
      tolerations:
      - key: nvidia.com/gpu
        value: "true"
        effect: NoSchedule
      terminationGracePeriodSeconds: 600
      readinessProbe:
        exec:
          command: ["/usr/bin/redis-cli", "-h", "redis", "-p", "6379", "ping"]
      livenessProbe:
        exec:
          command: ["/usr/bin/redis-cli", "-h", "redis", "-p", "6379", "ping"]


zoox-base:
  enabled: true

ci-pipeline:
  enabled: false
